params.output_dir = ".default_hidden"
params.pipeline_info = "${params.output_dir}/pipeline_info"
timeline {
  enabled = true
  file = "${params.pipeline_info}/execution_timeline.html"
}
report {
  enabled = true
  file = "${params.pipeline_info}/execution_report.html"
}
dag {
  enabled = true
  file = "${params.pipeline_info}/pipeline_dag.png"
}
trace {
  enabled = true
  file = "${params.pipeline_info}/pipeline_stats.txt"
  fields = "task_id,\
  hash,\
  process,\
  tag,\
  status,\
  exit,\
  start,\
  container,\
  cpus,\
  time,\
  disk,\
  memory,\
  duration,\
  realtime,\
  queue,\
  %cpu,\
  %mem,\
  rss,\
  vmem,\
  rchar,\
  wchar"
}
process {
  cpus = 1
  memory = '1G'
  errorStrategy = { task.attempt <= 2 ? "retry" : "ignore" }
  maxRetries = 2
}
